Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.hp.hpl.jena.shared
Class BadDescriptionMultipleRootsException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  com.hp.hpl.jena.shared.JenaException
                      com.hp.hpl.jena.shared.BadDescriptionException
                          com.hp.hpl.jena.shared.BadDescriptionMultipleRootsException

All Implemented Interfaces:
  java.io.Serializable

    public class BadDescriptionMultipleRootsException

extends BadDescriptionException

Exception to throw if a Description contains multiple roots of a specified type.

Author:
  kers
See Also:
  Serialized Form

Field Summary
`Resource` | `type`

Fields inherited from class com.hp.hpl.jena.shared.BadDescriptionException
`badModel`

Constructor Summary
`BadDescriptionMultipleRootsException(Model badModel, Resource type)`

Method Summary

Methods inherited from class com.hp.hpl.jena.shared.JenaException
`getCause, printStackTrace, printStackTrace`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### type

    public final Resource type

Constructor Detail

### BadDescriptionMultipleRootsException

    public BadDescriptionMultipleRootsException(Model badModel,
                                                Resource type)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2001, 2002, 2003, 2004, 2005, 2006, 2007, 2008 Hewlett-Packard Development Company, LP